## ros-one-spacenav-node 1.15.1-11jammy.20251023.0216

=== debian/changelog ===
ros-one-spacenav-node (1.15.1-11jammy.20251023.0216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Oct 2025 02:16:43 +0000

ros-one-spacenav-node (1.15.1-0jammy) jammy; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 07 Jun 2021 00:00:00 -0000

ros-one-spacenav-node (1.15.0-0jammy) jammy; urgency=high

  * Remove spacenavd from the requirements for Noetic (#186 <https://github.com/ros-drivers/joystick_drivers/issues/186>)
  * Contributors: Tyler Weaver

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 12 Oct 2020 00:00:00 -0000

ros-one-spacenav-node (1.14.0-0jammy) jammy; urgency=high

  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Contributors: Joshua Whitley

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 07 Jul 2020 00:00:00 -0000

ros-one-spacenav-node (1.13.0-0jammy) jammy; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-one-spacenav-node (1.12.0-0jammy) jammy; urgency=high

  * Adding tested spacenav scaling
  * Added README
  * Addressed numerous outstanding PRs.
  * Changed package xml to format 2
  * Reduce the number of scale params in spacenav_node
  * Add a scale parameter to each axis in spacenav_node
    Do not apply the scale to the joy topic.
  * Contributors: Gaël Ecorchard, Jonathan Bohren, jprod123

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-one-spacenav-node (1.11.0-0jammy) jammy; urgency=high

  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-one-spacenav-node (1.10.1-0jammy) jammy; urgency=high

  * Add full_scale parameter and apply to offset
  * Remove stray architechture_independent flags
  * Contributors: Gaël Ecorchard, Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-one-spacenav-node (1.10.0-0jammy) jammy; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-spacenav-node//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-spacenav-node 1.15.1-11jammy.20260220.2302

=== debian/changelog ===
ros-one-spacenav-node (1.15.1-11jammy.20260220.2302) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 20 Feb 2026 23:02:38 +0000

## ros-one-spacenav-node 1.15.1-11noble.20251023.0215

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(spacenav_node)

# Load catkin and all dependencies required for this package
set(CATKIN_DEPS roscpp geometry_msgs sensor_msgs roslint)
find_package(catkin REQUIRED ${CATKIN_DEPS})
catkin_package(DEPENDS geometry_msgs sensor_msgs)

roslint_cpp()

include_directories(${catkin_INCLUDE_DIRS})
add_executable(spacenav_node src/spacenav_node.cpp)
target_link_libraries (spacenav_node spnav X11 ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

# Install targets
install(TARGETS spacenav_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

install(DIRECTORY launch 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-spacenav-node (1.15.1-11noble.20251023.0215) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Oct 2025 02:15:03 +0000

ros-one-spacenav-node (1.15.1-0noble) noble; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 07 Jun 2021 00:00:00 -0000

ros-one-spacenav-node (1.15.0-0noble) noble; urgency=high

  * Remove spacenavd from the requirements for Noetic (#186 <https://github.com/ros-drivers/joystick_drivers/issues/186>)
  * Contributors: Tyler Weaver

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 12 Oct 2020 00:00:00 -0000

ros-one-spacenav-node (1.14.0-0noble) noble; urgency=high

  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Contributors: Joshua Whitley

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 07 Jul 2020 00:00:00 -0000

ros-one-spacenav-node (1.13.0-0noble) noble; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-one-spacenav-node (1.12.0-0noble) noble; urgency=high

  * Adding tested spacenav scaling
  * Added README
  * Addressed numerous outstanding PRs.
  * Changed package xml to format 2
  * Reduce the number of scale params in spacenav_node
  * Add a scale parameter to each axis in spacenav_node
    Do not apply the scale to the joy topic.
  * Contributors: Gaël Ecorchard, Jonathan Bohren, jprod123

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-one-spacenav-node (1.11.0-0noble) noble; urgency=high

  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-one-spacenav-node (1.10.1-0noble) noble; urgency=high

  * Add full_scale parameter and apply to offset
  * Remove stray architechture_independent flags
  * Contributors: Gaël Ecorchard, Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-one-spacenav-node (1.10.0-0noble) noble; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-spacenav-node
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), libspnav-dev, libx11-dev, ros-one-catkin, ros-one-geometry-msgs, ros-one-roscpp, ros-one-roslint, ros-one-sensor-msgs
Homepage: http://www.ros.org/wiki/spacenav_node
Standards-Version: 3.9.2

Package: ros-one-spacenav-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspnav-dev, libx11-dev, ros-one-geometry-msgs, ros-one-roscpp, ros-one-sensor-msgs, spacenavd
Description: ROS interface to the 3Dconnexion SpaceNavigator 6DOF joystick.

## ros-one-spacenav-node 1.15.1-11noble.20260220.2319

=== debian/changelog ===
ros-one-spacenav-node (1.15.1-11noble.20260220.2319) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 20 Feb 2026 23:19:49 +0000
